## calls-util

calls-util

## Functions

#define | CALLS_DEFINE_IFACE_FUNC_BASE()
#define | CALLS_DEFINE_IFACE_FUNC_VOID_BASE()
#define | CALLS_DEFINE_IFACE_FUNC()
#define | CALLS_DEFINE_IFACE_FUNC_VOID()
#define | CALLS_DEFINE_IFACE_GETTER_BASE()
#define | CALLS_DEFINE_IFACE_GETTER()
gboolean | calls_date_time_is_same_day ()
gboolean | calls_date_time_is_yesterday ()
gboolean | calls_date_time_is_same_year ()
gboolean | calls_number_is_ussd ()
gboolean | calls_find_in_model ()
const char * | get_protocol_from_address ()
const char * | get_protocol_from_address_with_fallback ()
gboolean | dtmf_tone_key_is_valid ()
const char * | get_call_icon_symbolic_name ()
int | get_address_family_for_ip ()

## Description

## Functions

### CALLS_DEFINE_IFACE_FUNC_BASE()

    #define             CALLS_DEFINE_IFACE_FUNC_BASE(prefix,iface,Prefix,Iface,PREFIX,IFACE,function,rettype,errval)

### CALLS_DEFINE_IFACE_FUNC_VOID_BASE()

    #define             CALLS_DEFINE_IFACE_FUNC_VOID_BASE(prefix,iface,Prefix,Iface,PREFIX,IFACE,function)

### CALLS_DEFINE_IFACE_FUNC()

    #define             CALLS_DEFINE_IFACE_FUNC(iface,Iface,IFACE,function,rettype,errval)

### CALLS_DEFINE_IFACE_FUNC_VOID()

    #define             CALLS_DEFINE_IFACE_FUNC_VOID(iface,Iface,IFACE,function)

### CALLS_DEFINE_IFACE_GETTER_BASE()

    #define             CALLS_DEFINE_IFACE_GETTER_BASE(prefix,iface,Prefix,Iface,PREFIX,IFACE,prop,rettype,errval)

### CALLS_DEFINE_IFACE_GETTER()

    #define             CALLS_DEFINE_IFACE_GETTER(iface,Iface,IFACE,prop,rettype,errval)

### calls_date_time_is_same_day ()

    gboolean
    calls_date_time_is_same_day (GDateTime *a,
                                 GDateTime *b);

### calls_date_time_is_yesterday ()

    gboolean
    calls_date_time_is_yesterday (GDateTime *now,
                                  GDateTime *t);

### calls_date_time_is_same_year ()

    gboolean
    calls_date_time_is_same_year (GDateTime *a,
                                  GDateTime *b);

### calls_number_is_ussd ()

    gboolean
    calls_number_is_ussd (const char *number);

### calls_find_in_model ()

    gboolean
    calls_find_in_model (GListModel *list,
                         gpointer item,
                         guint *position);

#### Parameters

list | A GListModel |
item | The gpointer to find |
position | The first position of `item` , if it was found. | [out][optional]

#### Returns

`TRUE` if `list` contains `item` , `FALSE` otherwise.

### get_protocol_from_address ()

    const char *
    get_protocol_from_address (const char *target);

simply checks for the the scheme of an address without doing any validation

#### Parameters

target | The target address |

#### Returns

The protocol used for address, or NULL if could not determine

### get_protocol_from_address_with_fallback ()

    const char *
    get_protocol_from_address_with_fallback
                                   (const char *target);

simply checks for the the scheme of an address without doing any validation

#### Parameters

target | The address to check |

#### Returns

The protocol used for address, or "tel" as a fallback

### dtmf_tone_key_is_valid ()

    gboolean
    dtmf_tone_key_is_valid (char key);

### get_call_icon_symbolic_name ()

    const char *
    get_call_icon_symbolic_name (gboolean inbound,
                                 gboolean missed);

### get_address_family_for_ip ()

    int
    get_address_family_for_ip (const char *ip,
                               gboolean only_configured_interfaces);

#### Parameters

ip | The IP address to check |
only_configured_interfaces | Only consider address families of configured network interfaces |

#### Returns

AF_INET for IPv4, AF_INET6 for IPv6 and AF_UNSPEC otherwise. If `only_configured_interfaces` is TRUE and the resulting address family of `ip` is not configured on any network interface, it will also return AF_UNSPEC